Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226361 - Merge Review: readline
Summary: Merge Review: readline
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:48 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-13 05:07:38 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:56 UTC
Fedora Merge Review: readline

http://cvs.fedora.redhat.com/viewcvs/devel/readline/
Initial Owner: mlichvar@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 11:28:00 UTC
like to review this

Comment 2 Parag AN(पराग) 2007-10-19 03:42:33 UTC
1)rpmlint complained on RPM
readline-devel.i386: W: file-not-utf8 /usr/share/doc/readline-devel-5.2/rl-fgets.c
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

2) defattr usage should be defattr(-,root,root,-)

3) Good to follow Texinfo scriptlet given at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db

4) Do we need static package here?


Comment 3 Miroslav Lichvar 2007-11-05 18:34:24 UTC
(In reply to comment #2)
> 1)rpmlint complained on RPM
> readline-devel.i386: W: file-not-utf8 /usr/share/doc/readline-devel-5.2/rl-fgets.c
> The character encoding of this file is not UTF-8.  Consider converting it
> in the specfile for example using iconv(1).

Ok.

> 2) defattr usage should be defattr(-,root,root,-)

Ok. Fixed with 1) in readline-5.2-8.fc9.

> 3) Good to follow Texinfo scriptlet given at
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db

With more commands in the script it's IMHO nicer to put : at the end of the
script. It's mentioned in the ScriptletSnippets page.
 
> 4) Do we need static package here?

lvm2 buildrequires readline-static.


Comment 4 Parag AN(पराग) 2007-11-12 11:57:46 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
e39331f32ad14009b9ff49cc10c5e751  readline-5.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
- static libraries are present.
+ no .pc file present.
+ -devel,-static subpackages exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package readline-5.2-8.fc8 ->
  Provides: libhistory.so.5 libreadline.so.5
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libhistory.so.5
libreadline.so.5 libtinfo.so.5 rtld(GNU_HASH)
+ package readline-5.2-8.fc8 ->
  Requires: libhistory.so.5 libreadline.so.5 ncurses-devel readline = 5.2-8.fc8
+ package readline-static-5.2-8.fc8 ->
  Requires: readline-devel = 5.2-8.fc8
+ Not a GUI app.

APPROVED.


Comment 5 Parag AN(पराग) 2007-11-12 12:19:32 UTC
oops ldconfig and install-info scriptlets are used.


Note You need to log in before you can comment on or make changes to this bug.